import sys, java, time
global AdminApp
global AdminConfig

def startApplication(): 
  appManagerList = AdminControl.queryNames('type=ApplicationManager,*')
  print 'Wait for 2 minutes to ensure application is available before starting it'
  time.sleep(120)
  appManagers = appManagerList.split(lineSeparator)
  for appManager in appManagers:
    print 'Starting the Application: ' + appName 
    print '--------------'
    print 'AppManager: ' + appManager
    print '--------------'
    AdminControl.invoke(appManager, 'startApplication', appName)
#endDef 

appLocation = sys.argv[0]
appName = sys.argv[1]
wasServer = sys.argv[2]

if len(sys.argv) > 3 :
  contextRoot = sys.argv[3] 
else:
  contextRoot = 'ram.setup'

foundApp = 'false'
for app in AdminApp.list().split():
  if app == appName:
    foundApp = 'true'

if foundApp == 'true':
  print 'The Application ' + appName + ' is deployed'
  print 'Uninstalling previous application ' + appName
  AdminApp.uninstall(appName)
  AdminConfig.save()
  print 'Installing ' + appName
  appArgs = ' -cluster ' + wasServer + ' -appname ' + appName + ' -CtxRootForWebMod [[.* com.ibm.ram.repository.setup.web.war,WEB-INF/web.xml /' + contextRoot + ']]'
  AdminApp.install(appLocation, appArgs)
  AdminConfig.save()
  startApplication()
if foundApp == 'false':
  print 'The Application ' + appName + ' is not deployed'
  print 'Installing ' + appName
  appArgs = ' -cluster ' + wasServer + ' -appname ' + appName + ' -CtxRootForWebMod [[.* com.ibm.ram.repository.setup.web.war,WEB-INF/web.xml /' + contextRoot + ']]'
  AdminApp.install(appLocation, appArgs)
  AdminConfig.save()
  startApplication()
    


